/ / Django 1.5: Python 2.7 ou Python 3 - django, python-2.7, python-3.x

Django 1.5: Python 2.7 ou Python 3 - django, python-2.7, python-3.x

O Django acaba de lançar sua versão 1.5.

Agora suporta Python 3, minha pergunta é bastanteDe fato simples: Com esta versão 1.5, eu ainda deveria usar Python 2.7 ou Python 3? Eu suponho que com o Python 3 haverá alguns problemas com aplicativos de terceiros não?

No seu caso, o que você faria?

Respostas:

5 para resposta № 1

As notas de lançamento afirmam claramente que o suporte do Python 3 em 1.5 é experimental. E sim, aplicativos de terceiros serão um problema.


0 para resposta № 2

Se eu estava começando um novo desenvolvimento que eunão esperava ir ao vivo até bem depois que a versão 1.6 for lançada (quando o suporte ao Python 3 deve estar pronto para a produção, e esperamos que os aplicativos de terceiros tenham pego), então sim, eu iria com o Python 3. Ele é significativamente mais limpo que o Python 2.7.

Mas se você quiser que seu site esteja funcionando no futuro próximo, continue com o 2.7.


0 para resposta № 3

Eu ainda usaria python 2.7 porque muitos aplicativos e bibliotecas não estão prontos para o python 3.x

PIL não está funcionando corretamente com o python 3